Debian Bug report logs - #639636
nodejs: FTBFS/armel - testsuite fails

version graph

Package: nodejs; Maintainer for nodejs is Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>; Source for nodejs is src:nodejs.

Reported by: Hector Oron <zumbi@debian.org>

Date: Sun, 28 Aug 2011 20:27:05 UTC

Severity: serious

Merged with 656666

Found in versions nodejs/0.2.6-4, nodejs/0.4.11-1

Fixed in version nodejs/0.6.11~dfsg1-1

Done: Jérémy Lal <kapouer@melix.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#639636; Package nodejs. (Sun, 28 Aug 2011 20:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <zumbi@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Sun, 28 Aug 2011 20:27:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: nodejs: FTBFS/armel - testsuite fails
Date: Sun, 28 Aug 2011 22:26:16 +0200
Package: nodejs
Version: 0.4.11-1
Severity: serious

Hello,

  Your package fails to build on Debian armel autobuild daemons:

[..]
  Path: simple/test-tls-securepair-client
  Using default temp DH parameters
  Using default temp ECDH parameters
  ACCEPT
  client connected
  WAIT-ACCEPT
  WAIT-ACCEPT

assert.js:93
throw new assert.AssertionError({
        ^
AssertionError: -1 == 0
    at EventEmitter.<anonymous> (/build/buildd-nodejs_0.4.11-1-armel-tSxRKa/nodejs-0.4.11/test/simple/test-tls-securepair-client.js:166:10)
    at EventEmitter.emit (events.js:81:20)
    at EventEmitter.exit (node.js:199:15)
    at Object._onTimeout (/build/buildd-nodejs_0.4.11-1-armel-tSxRKa/nodejs-0.4.11/test/simple/test-tls-securepair-client.js:98:11)
    at Timer.callback (timers.js:83:39)
Command: build/default/node /build/buildd-nodejs_0.4.11-1-armel-tSxRKa/nodejs-0.4.11/test/simple/test-tls-securepair-client.js
[..]

  Please check build full build log at:
  https://buildd.debian.org/status/fetch.php?pkg=nodejs&arch=armel&ver=0.4.11-1&stamp=1313690040

With best regards,
  -- Hector Oron

-- System Information:
Debian Release: wheezy/sid
  APT prefers stable
  APT policy: (700, 'stable'), (600, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.37-1-686 (SMP w/2 CPU cores)
Locale: LANG=ca_ES.UTF-8, LC_CTYPE=ca_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#639636; Package nodejs. (Sun, 28 Aug 2011 21:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Jérémy Lal" <holisme@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Sun, 28 Aug 2011 21:39:07 GMT) Full text and rfc822 format available.

Message #10 received at 639636@bugs.debian.org (full text, mbox):

From: "Jérémy Lal" <holisme@gmail.com>
To: Hector Oron <zumbi@debian.org>, 639636@bugs.debian.org
Subject: Re: Bug#639636: nodejs: FTBFS/armel - testsuite fails
Date: Sun, 28 Aug 2011 23:34:49 +0200
On 28/08/2011 22:26, Hector Oron wrote:
> Package: nodejs
> Version: 0.4.11-1
> Severity: serious
> 
> Hello,
> 
>   Your package fails to build on Debian armel autobuild daemons:

I'm going to see if it can be built within qemu,
but after that i'm stuck, not having access to real armel hardware.
Same goes for mipsel, which could be supported in next nodejs version.

Jérémy.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#639636; Package nodejs. (Sun, 28 Aug 2011 21:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Sun, 28 Aug 2011 21:51:05 GMT) Full text and rfc822 format available.

Message #15 received at 639636@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Jérémy Lal <holisme@gmail.com>, 639636@bugs.debian.org
Cc: Hector Oron <zumbi@debian.org>
Subject: Re: Bug#639636: nodejs: FTBFS/armel - testsuite fails
Date: Sun, 28 Aug 2011 23:46:56 +0200
On Sun, Aug 28, 2011 at 23:34:49 +0200, Jérémy Lal wrote:

> On 28/08/2011 22:26, Hector Oron wrote:
> > Package: nodejs
> > Version: 0.4.11-1
> > Severity: serious
> > 
> > Hello,
> > 
> >   Your package fails to build on Debian armel autobuild daemons:
> 
> I'm going to see if it can be built within qemu,
> but after that i'm stuck, not having access to real armel hardware.

http://db.debian.org/machines.cgi?host=abel
http://db.debian.org/machines.cgi?host=agricola
http://dsa.debian.org/doc/guest-account/

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#639636; Package nodejs. (Sun, 28 Aug 2011 22:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Jérémy Lal" <holisme@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Sun, 28 Aug 2011 22:36:05 GMT) Full text and rfc822 format available.

Message #20 received at 639636@bugs.debian.org (full text, mbox):

From: "Jérémy Lal" <holisme@gmail.com>
To: Julien Cristau <jcristau@debian.org>
Cc: 639636@bugs.debian.org
Subject: Re: Bug#639636: nodejs: FTBFS/armel - testsuite fails
Date: Mon, 29 Aug 2011 00:33:40 +0200
On 28/08/2011 23:46, Julien Cristau wrote:
> http://db.debian.org/machines.cgi?host=abel
> http://db.debian.org/machines.cgi?host=agricola
> http://dsa.debian.org/doc/guest-account/

Thank you Julien, i submitted a request.

Jérémy.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#639636; Package nodejs. (Mon, 05 Dec 2011 16:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Lal <jerry@edagames.com>:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Mon, 05 Dec 2011 16:54:03 GMT) Full text and rfc822 format available.

Message #25 received at 639636@bugs.debian.org (full text, mbox):

From: Jérémy Lal <jerry@edagames.com>
To: 639636@bugs.debian.org
Subject: nodejs: FTBFS/armel - testsuite fails
Date: Mon, 05 Dec 2011 17:51:41 +0100
Thanks to the abel guest access i got, libv8 builds and pass tests on armel and armhf.
I'm still having *one* test failing, if anyone has an idea about why :

   var f = new Buffer('über', 'ucs2');
   assert.deepEqual(f, new Buffer([252, 0, 98, 0, 101, 0, 114, 0]));

Giving this result :
https://buildd.debian.org/status/fetch.php?pkg=nodejs&arch=armel&ver=0.4.12-2&stamp=1323100281&file=log

Couldn't be linked to some wrong endianness assumption ?

Jérémy.






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#639636; Package nodejs. (Mon, 05 Dec 2011 19:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Lal <kapouer@melix.org>:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Mon, 05 Dec 2011 19:06:03 GMT) Full text and rfc822 format available.

Message #30 received at 639636@bugs.debian.org (full text, mbox):

From: Jérémy Lal <kapouer@melix.org>
To: 639636@bugs.debian.org
Cc: nodejs-dev@googlegroups.com
Subject: Re: Bug#639636: nodejs: FTBFS/armel - testsuite fails
Date: Mon, 05 Dec 2011 20:02:49 +0100
On 05/12/2011 17:51, Jérémy Lal wrote:
> Thanks to the abel guest access i got, libv8 builds and pass tests on armel and armhf.
> I'm still having *one* test failing, if anyone has an idea about why :
> 
>    var f = new Buffer('über', 'ucs2');
>    assert.deepEqual(f, new Buffer([252, 0, 98, 0, 101, 0, 114, 0]));
> 
> Giving this result :
> https://buildd.debian.org/status/fetch.php?pkg=nodejs&arch=armel&ver=0.4.12-2&stamp=1323100281&file=log
> 
> Couldn't be linked to some wrong endianness assumption ?

It isn't, after doing some testing on abel, i observe this strange behavior :
   build/default/node /home/kapouer/nodejs/nodejs-0.4.12/test/simple/test-buffer.js
never outputs errors,
while
   python tools/test.py simple/test-buffer
always does.

I'm stuck.

Jérémy.


PS: wild cc-ing nodejs-dev, in case someone there already knows why :)
    the test mentionned above is the only one failing, and it's been there for a long time.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#639636; Package nodejs. (Mon, 05 Dec 2011 20:57:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Noordhuis <info@bnoordhuis.nl>:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Mon, 05 Dec 2011 20:57:12 GMT) Full text and rfc822 format available.

Message #35 received at 639636@bugs.debian.org (full text, mbox):

From: Ben Noordhuis <info@bnoordhuis.nl>
To: 639636@bugs.debian.org
Cc: nodejs-dev@googlegroups.com
Subject: Re: [node-dev] Re: Bug#639636: nodejs: FTBFS/armel - testsuite fails
Date: Mon, 5 Dec 2011 21:54:08 +0100
On Mon, Dec 5, 2011 at 20:02, Jérémy Lal <kapouer@melix.org> wrote:
> On 05/12/2011 17:51, Jérémy Lal wrote:
>> Thanks to the abel guest access i got, libv8 builds and pass tests on armel and armhf.
>> I'm still having *one* test failing, if anyone has an idea about why :
>>
>>    var f = new Buffer('über', 'ucs2');
>>    assert.deepEqual(f, new Buffer([252, 0, 98, 0, 101, 0, 114, 0]));
>>
>> Giving this result :
>> https://buildd.debian.org/status/fetch.php?pkg=nodejs&arch=armel&ver=0.4.12-2&stamp=1323100281&file=log
>>
>> Couldn't be linked to some wrong endianness assumption ?
>
> It isn't, after doing some testing on abel, i observe this strange behavior :
>   build/default/node /home/kapouer/nodejs/nodejs-0.4.12/test/simple/test-buffer.js
> never outputs errors,
> while
>   python tools/test.py simple/test-buffer
> always does.
>
> I'm stuck.
>
> Jérémy.
>
>
> PS: wild cc-ing nodejs-dev, in case someone there already knows why :)
>    the test mentionned above is the only one failing, and it's been there for a long time.

It looks like a off-by-one error. To wit:

  {"0":252,"1":0,"2":98,"3":0,"4":101,"5":0,"6":114,"7":0
  {        "0":0,"1":98,"2":0,"3":101,"4":0,"5":114,"6":0,"7":120

It's quite possibly been fixed. Does it happen with v0.6.5?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#639636; Package nodejs. (Tue, 06 Dec 2011 00:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to kapouer@melix.org:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Tue, 06 Dec 2011 00:15:03 GMT) Full text and rfc822 format available.

Message #40 received at 639636@bugs.debian.org (full text, mbox):

From: Jérémy Lal <kapouer@melix.org>
To: nodejs-dev@googlegroups.com
Cc: Ben Noordhuis <info@bnoordhuis.nl>, 639636@bugs.debian.org
Subject: Re: [node-dev] Re: Bug#639636: nodejs: FTBFS/armel - testsuite fails
Date: Tue, 06 Dec 2011 01:11:31 +0100
On 05/12/2011 21:54, Ben Noordhuis wrote:
> On Mon, Dec 5, 2011 at 20:02, Jérémy Lal <kapouer@melix.org> wrote:
>> On 05/12/2011 17:51, Jérémy Lal wrote:
>>> Thanks to the abel guest access i got, libv8 builds and pass tests on armel and armhf.
>>> I'm still having *one* test failing, if anyone has an idea about why :
>>>
>>>    var f = new Buffer('über', 'ucs2');
>>>    assert.deepEqual(f, new Buffer([252, 0, 98, 0, 101, 0, 114, 0]));
>>>
>>> Giving this result :
>>> https://buildd.debian.org/status/fetch.php?pkg=nodejs&arch=armel&ver=0.4.12-2&stamp=1323100281&file=log
>>>
>>> Couldn't be linked to some wrong endianness assumption ?
>>
>> It isn't, after doing some testing on abel, i observe this strange behavior :
>>   build/default/node /home/kapouer/nodejs/nodejs-0.4.12/test/simple/test-buffer.js
>> never outputs errors,
>> while
>>   python tools/test.py simple/test-buffer
>> always does.
>>
>> I'm stuck.
>>
>> Jérémy.
>>
>>
>> PS: wild cc-ing nodejs-dev, in case someone there already knows why :)
>>    the test mentionned above is the only one failing, and it's been there for a long time.
> 
> It looks like a off-by-one error. To wit:
> 
>   {"0":252,"1":0,"2":98,"3":0,"4":101,"5":0,"6":114,"7":0
>   {        "0":0,"1":98,"2":0,"3":101,"4":0,"5":114,"6":0,"7":120
> 
> It's quite possibly been fixed. Does it happen with v0.6.5?

Thank you for your suggestion,
Indeed, it doesn't. Now i'm searching why.

It doesn't seem to be in src/node_buffer.cc :
i just tried with a backported one and it doesn't change the failure,
same goes for lib/buffer.js.
Since it fails when launched trough test.py and not directly through command-line
node invocation, does it point to something particular i could bisect on ?

Note that i kept the same system libv8 version (3.5) for both 0.4.12 and 0.6.5 tests,
it's unsupported but working quite well.

Jérémy.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#639636; Package nodejs. (Sat, 31 Dec 2011 01:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Sat, 31 Dec 2011 01:51:03 GMT) Full text and rfc822 format available.

Message #45 received at 639636@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 639636@bugs.debian.org
Cc: nodejs-dev@googlegroups.com, Jérémy Lal <kapouer@melix.org>
Subject: Re: [node-dev] Re: Bug#639636: nodejs: FTBFS/armel - testsuite fails
Date: Sat, 31 Dec 2011 01:47:18 +0000
Hello,

I wonder if this commit (introduced in 0.5.10) is what fixed the failure
of test-buffer.js in later versions:

https://github.com/joyent/node/commit/6a72e525202972fe5d5a89cc94f48071380c1aa7

I have no armel build system but would appreciate if someone could
humour me by trying this :)


I came across this when I noticed there are different offsets shown for
the two buffers test-buffer.js compares:

original buffer:
> "5684":252,"5685":0,"5686":98,"5687":0,"5688":101,"5689":0,"5690":114,"5691":0,"5692":0,
> "5693":252,"5694":0,"5695":98,"5696":0,"5697":101,"5698":0,"5699":114,"5700":0,"5701":4,
> 
> "offset":5693} 

copy-constructed buffer:
> "5684":252,"5685":0,"5686":98,"5687":0,"5688":101,"5689":0,"5690":114,"5691":0,"5692":0,
> "5693":252,"5694":0,"5695":98,"5696":0,"5697":101,"5698":0,"5699":114,"5700":0,"5701":4,
> 
> "offset":5685}

So I wondered if this was due to only one byte being read or written --
stopping because of the null character -- that would leave the offset
short of where it should be, which is incidentally 1 byte into a
different copy of the string (and that is maybe what we were seeing).

Thanks,
Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#639636; Package nodejs. (Sat, 31 Dec 2011 08:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to kapouer@melix.org:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Sat, 31 Dec 2011 08:45:03 GMT) Full text and rfc822 format available.

Message #50 received at 639636@bugs.debian.org (full text, mbox):

From: Jérémy Lal <kapouer@melix.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: 639636@bugs.debian.org, nodejs-dev@googlegroups.com
Subject: Re: [node-dev] Re: Bug#639636: nodejs: FTBFS/armel - testsuite fails
Date: Sat, 31 Dec 2011 09:42:03 +0100
On 31/12/2011 02:47, Steven Chamberlain wrote:
> Hello,
> 
> I wonder if this commit (introduced in 0.5.10) is what fixed the failure
> of test-buffer.js in later versions:
> 
> https://github.com/joyent/node/commit/6a72e525202972fe5d5a89cc94f48071380c1aa7
> 
> I have no armel build system but would appreciate if someone could
> humour me by trying this :)

I believe i already tried that commit on 0.4 branch, and it did not work.

Jérémy.





Forcibly Merged 639636 656666. Request was from Jérémy Lal <jerry@edagames.com> to control@bugs.debian.org. (Fri, 20 Jan 2012 21:03:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#639636; Package nodejs. (Wed, 25 Jan 2012 14:24:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to kapouer@melix.org:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Wed, 25 Jan 2012 14:24:18 GMT) Full text and rfc822 format available.

Message #57 received at 639636@bugs.debian.org (full text, mbox):

From: Jérémy Lal <kapouer@melix.org>
To: 639636@bugs.debian.org
Cc: nodejs-dev@googlegroups.com, Steven Chamberlain <steven@pyro.eu.org>
Subject: Re: Bug#639636: [node-dev] Re: Bug#639636: nodejs: FTBFS/armel - testsuite fails
Date: Wed, 25 Jan 2012 15:22:10 +0100
update :
now building 0.6.8,
test/simple/test-buffer is still failing on armel (armv4t), see
https://buildd.debian.org/status/fetch.php?pkg=nodejs&arch=armel&ver=0.6.8~dfsg1-1&stamp=1327488576

Since the test used to succeed on armv7, i guess it needs an upstream v8 opinion.

Jérémy.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#639636; Package nodejs. (Fri, 03 Feb 2012 20:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to kapouer@melix.org:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Fri, 03 Feb 2012 20:03:08 GMT) Full text and rfc822 format available.

Message #62 received at 639636@bugs.debian.org (full text, mbox):

From: Jérémy Lal <kapouer@melix.org>
To: 639636@bugs.debian.org
Subject: Re: Bug#639636: nodejs: FTBFS/armel - testsuite fails
Date: Fri, 03 Feb 2012 21:01:16 +0100
Note:

libv8 armel -Dv8_can_use_unaligned_accesses=false : nodejs test failure
libv8 armhf -Dv8_can_use_unaligned_accesses=true : nodejs test pass.

That flag turns on a small amount of code in libv8/src/arm, maybe it's
that part that is broken.

TODO : request guest access to armel porter machine,
compile libv8 3.6 without that flag, run node testsuite.

Jérémy.





Reply sent to Jérémy Lal <kapouer@melix.org>:
You have taken responsibility. (Sun, 19 Feb 2012 23:24:07 GMT) Full text and rfc822 format available.

Notification sent to Hector Oron <zumbi@debian.org>:
Bug acknowledged by developer. (Sun, 19 Feb 2012 23:24:07 GMT) Full text and rfc822 format available.

Message #67 received at 639636-close@bugs.debian.org (full text, mbox):

From: Jérémy Lal <kapouer@melix.org>
To: 639636-close@bugs.debian.org
Subject: Bug#639636: fixed in nodejs 0.6.11~dfsg1-1
Date: Sun, 19 Feb 2012 23:20:36 +0000
Source: nodejs
Source-Version: 0.6.11~dfsg1-1

We believe that the bug you reported is fixed in the latest version of
nodejs, which is due to be installed in the Debian FTP archive:

nodejs-dbg_0.6.11~dfsg1-1_amd64.deb
  to main/n/nodejs/nodejs-dbg_0.6.11~dfsg1-1_amd64.deb
nodejs-dev_0.6.11~dfsg1-1_amd64.deb
  to main/n/nodejs/nodejs-dev_0.6.11~dfsg1-1_amd64.deb
nodejs_0.6.11~dfsg1-1.debian.tar.gz
  to main/n/nodejs/nodejs_0.6.11~dfsg1-1.debian.tar.gz
nodejs_0.6.11~dfsg1-1.dsc
  to main/n/nodejs/nodejs_0.6.11~dfsg1-1.dsc
nodejs_0.6.11~dfsg1-1_amd64.deb
  to main/n/nodejs/nodejs_0.6.11~dfsg1-1_amd64.deb
nodejs_0.6.11~dfsg1.orig.tar.gz
  to main/n/nodejs/nodejs_0.6.11~dfsg1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 639636@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jérémy Lal <kapouer@melix.org> (supplier of updated nodejs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 19 Feb 2012 23:58:31 +0100
Source: nodejs
Binary: nodejs-dev nodejs nodejs-dbg
Architecture: source amd64
Version: 0.6.11~dfsg1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Changed-By: Jérémy Lal <kapouer@melix.org>
Description: 
 nodejs     - Node.js event-based server-side javascript engine
 nodejs-dbg - Node.js event-based server-side javascript engine (debug)
 nodejs-dev - Development files for Node.js
Closes: 639636
Changes: 
 nodejs (0.6.11~dfsg1-1) unstable; urgency=low
 .
   * New upstream release.
   * Remove upstream patches.
   * test-dgram-pingpong expected to timeout, the test itself is buggy.
   * test-buffer expected to fail on armel, allow building package to make
     it easier to find the cause of the failure.
     Closes: bug#639636.
Checksums-Sha1: 
 6f6146dd0290d8add9273f2f67e3a5330ff1d82b 1666 nodejs_0.6.11~dfsg1-1.dsc
 1ef3197631ecc1fcdeb9419fe945137642c1019c 4964082 nodejs_0.6.11~dfsg1.orig.tar.gz
 2fcf2c6937c9946cf07dd781bda51df64fb5d648 33754 nodejs_0.6.11~dfsg1-1.debian.tar.gz
 3a844b5d6273a06e921dfff715d3ae10364826cc 186870 nodejs-dev_0.6.11~dfsg1-1_amd64.deb
 0466bc1fb97dd9457082c275d3e21c8b6ab5c53b 690460 nodejs_0.6.11~dfsg1-1_amd64.deb
 ab286fb0608d3a9142f631f59893f091b084065f 1081126 nodejs-dbg_0.6.11~dfsg1-1_amd64.deb
Checksums-Sha256: 
 252b5475711fe588494f22d3168fe96aafe248b63e5c1b7fe339eb5513e8606b 1666 nodejs_0.6.11~dfsg1-1.dsc
 a9f3aba42af1ae321520f7a26b2531cd03f8e0f3b2fa8ca7a15fbde469a97992 4964082 nodejs_0.6.11~dfsg1.orig.tar.gz
 cad53f16662f96f6e631ff4643201212564dbe0094b9e5498d2872af2743a9d5 33754 nodejs_0.6.11~dfsg1-1.debian.tar.gz
 7bb0b12e3b52e7c242669b019fc4891596d8564f121e0b1d438765fbdd0b1b6c 186870 nodejs-dev_0.6.11~dfsg1-1_amd64.deb
 ea2cdea3718b3798f8953f93dd85ffa690b70430dbebc0b96436238799ddcd10 690460 nodejs_0.6.11~dfsg1-1_amd64.deb
 b5b5c0d5b366319bca3563a5cb7a5a644d107e92467580a0dd0332a46affffbb 1081126 nodejs-dbg_0.6.11~dfsg1-1_amd64.deb
Files: 
 c066503e03ecbbbcb067e586883af681 1666 web extra nodejs_0.6.11~dfsg1-1.dsc
 5a00e4309ce45c6cbe7d567cef325bbe 4964082 web extra nodejs_0.6.11~dfsg1.orig.tar.gz
 a0b6fe89487b4f592719dcf8459e6abf 33754 web extra nodejs_0.6.11~dfsg1-1.debian.tar.gz
 fec4d0d5a1b2f450c289a6aca67a05a9 186870 devel extra nodejs-dev_0.6.11~dfsg1-1_amd64.deb
 86a26c7ea1d9e5852197614e7cf4ccf4 690460 web extra nodejs_0.6.11~dfsg1-1_amd64.deb
 11811a8c83f8bc7bb9733ee2acd7aced 1081126 debug extra nodejs-dbg_0.6.11~dfsg1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk9Bf/4ACgkQDMRIEQdBQdy7EgCeKugD0+x9G9Xm6aqVUD9MY/WG
84sAnjBWf7qgT4PMWO6FPEbdafoXW78A
=nquX
-----END PGP SIGNATURE-----





Reply sent to Jérémy Lal <kapouer@melix.org>:
You have taken responsibility. (Sun, 19 Feb 2012 23:24:08 GMT) Full text and rfc822 format available.

Notification sent to shawn <shawnlandden@gmail.com>:
Bug acknowledged by developer. (Sun, 19 Feb 2012 23:24:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 19 Mar 2012 07:33:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 06:53:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.